/*
 * Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
 */

package com.sun.glass.ui.x11;

import com.sun.glass.ui.Application;
import com.sun.glass.ui.Cursor;
import com.sun.glass.ui.Pixels;
import com.sun.glass.ui.Size;
import com.sun.glass.ui.Window;

public class X11Cursor extends Cursor {
    protected X11Cursor(int type) {
        super(type);
    }

    protected X11Cursor(int x, int y, Pixels pixels) {
        super(x, y, pixels);
    }
    
    static {
        X11Application.initLibrary();
    }

    @Override
    protected long _createCursor(int x, int y, Pixels pixels) {
        System.err.println("WARNING: X11Cursor._createCursor not implemented");
        return 0;
    }

    static  void setVisible_impl(boolean visible) {
        System.err.println("WARNING: X11Cursor._setVisible_impl() not implemented");
    }

    static Size getBestSize_impl(int width, int height) {
        return new Size(10,10); //TODO
    }
}
